.messages{
  margin: 0 -15px;
  font-family: "proximanovacond-regular-webfont", sans-serif;
  position: relative;

  >.messages__title {

    margin-bottom: 0;

    @include respond-to(tablet) {
      display: table;
      font-size: 18px;
      width: 100%;
      color: $text-light-blue;

    }

    > li {
      padding: 15px 30px;
      @include respond-to(tablet) {
        display: table-cell !important;
        vertical-align: middle;
        height: 72px;
        padding: 0;
      }
      &:nth-child(1){
        @include respond-to(tablet) {
          padding-left: 52px;
          width: 13.6%;
        }
        >div {
          position: relative;
        }
      }
      &:nth-child(2){
        width: 290px;
        @include respond-to(tablet){
          width: 37.7%;
          min-width: 390px;
        }
        display: none;
      }
      &:nth-child(3){
        display: none;
      }
      &:nth-child(4){
        display: none;
      }

    }
    &.messages__title_selected{
      .messages__controls {
        display: block;
      }
    }
  }
  .messages__content {
    counter-reset: organize__table-content;
    margin: 0;

    >.messages__item{
      counter-increment: organize__table-content;
      border-top: 1px solid $organize__table;
      padding-bottom: 15px;
      font-size: 24px;
      -webkit-transition: background 300ms ease-in-out, -webkit-transform 300ms ease-in-out;
      transition: background 300ms ease-in-out, transform 300ms ease-in-out;
      @include respond-to(tablet){
        display: table;
        width: 100%;
        padding-bottom: 0;

      }

      >input {
        position: absolute;
        clip: rect(0, 0, 0, 0);
      }
      &:hover,
      &.messages__item_active {
        background: $messages__item-hover;
        > div {

          &:nth-child(1){

            > div{

              &:after{
                border-color: $text-total;
                color: $text-total;
              }
            }
          }
          &:nth-child(2) {

            > span {
              color: $text-total;
              @include transition(color 300ms ease-in-out, -webkit-transform 300ms ease-in-out);
            }
          }
          &:nth-child(3) {

            color: $text-total;
          }
        }
      }
      &.messages__item_unread {
        > div {

          &:nth-child(1){

            > div{

              &:after{
                border-color: $text-links-blue;
                color: $text-links-blue;
              }
            }
          }
          &:nth-child(2) {

            > span {
              color: $text-links-blue;
            }
          }
          &:nth-child(3) {

            color: $text-links-blue;
          }
        }
      }
      > div {
        padding: 15px 30px 0;
        @include respond-to(tablet){
          padding: 0;
          height: 123px;
          display: table-cell;
          vertical-align: middle;
        }

        &:nth-child(1){
          @include respond-to(tablet){
            padding-left: 40px;
            width: 13.6%;
          }

          > div{
            width: 32px;
            height: 32px;
            position: relative;
            z-index: 1;

            &:after{
              width: 32px;
              height: 32px;
              position: absolute;
              top: 0;
              left: 0;
              border-radius: 50px;
              border: 1px solid $text-events-subtitles;
              color: $text-events-subtitles;
              font-size: 18px;
              line-height: 32px;
              font-family: "proximanovacond-regular-webfont", sans-serif;
              text-align: center;
              content: counter(organize__table-content);
            }
          }
        }
        &:nth-child(2) {
          width: 240px;
          @include respond-to(tablet){
            width: 37.7%;
            min-width: 390px;
          }

          > span {
            color: $text-dark-blue;
            white-space: nowrap;
            font-weight: 400;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 240px;
            @include respond-to(tablet){
              width: 370px;
            }
          }
          > div {
            display: inline-block;
            font-size: 18px;
            color: $text-light-blue;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            width: 240px;
            @include respond-to(tablet){
              width: 370px;
            }

          }
        }
        &:nth-child(3) {
          @include respond-to(tablet){
            width: 25.8%;
          }

          color: $avatar-remove;
        }
        &:nth-child(4) {
          @include respond-to(tablet){
            width: 23%;
            min-width: 195px;
          }

          .btns{
            @include btns();
            height: 51px;
            line-height: 51px;
            padding: 0 31px;
          }
        }
      }
    }
  }
  .btns {
    @include btns();
    height: 60px;
    line-height: 60px;
    padding: 0 39px;

    &.messages__new{
      height: 50px;
      line-height: 50px;
      margin: 17px;

      @include respond-to(tablet){
        margin: 0;
        position: absolute;
        top: -66px;
        right: 0;
      }
    }
  }
  .messages__controls {
    position: absolute;
    overflow: hidden;
    margin: -5px 0 0 -12px;
    top: 0;
    left: 0;
    display: none;

    &:hover{
      overflow: visible;
      
      >div {
        opacity: 1;

        > ul {
          top: 0;
        }
      }
    }
    > span {
      background: #fff;
      width: 32px;
      height: 32px;
      display: block;
      border: 1px solid $text-total;
      border-radius: 50%;
      color: $text-total;
      text-align: center;
      line-height: 32px;
    }
    >div {
      position: absolute;
      z-index: 10;
      top: 0;
      left: 0;
      padding-top: 52px;
      opacity: 0;
      -webkit-transition: opacity 300ms ease-in-out;
      transition: opacity 300ms ease-in-out;

      > ul {
        background: $back-main;
        border-radius: 3px;
        box-shadow: 0 1px 6px rgba(0,0,0,.15);
        font-size: 18px;
        padding: 14px 28px 5px 30px;
        position: relative;
        top: -11px;
        -webkit-transition: top 300ms ease-in-out;
        transition: top 300ms ease-in-out;

        &:after {
          content: '';
          position: absolute;
          top: -6px;
          left: 11px;
          @include rotate2( 45deg );
          width: 12px;
          height: 12px;
          background: $back-main;
          box-shadow: 0 1px 6px rgba(0,0,0,.15);
          z-index: 1;
        }
        &:before {
          content: '';
          position: absolute;
          top: 0;
          left: 3px;
          width: 30px;
          height: 12px;
          background: $back-main;
          z-index: 2;
        }

        >li {
          white-space: nowrap;
          margin-bottom: 17px;

          > a{
            color: $text-light-blue;

            &:hover {
              color: $text-total;
              text-decoration: none;
            }
          }
        }

      }
    }
  }
}
.message{
  max-width: 870px;
  margin: 0 auto;


  .message__card {
    background: $back-main;
    font-family: "proximanovacond-regular-webfont", sans-serif;
    padding-bottom: 41px;

    &.message_opened {
        > .message__card-footer {
          fieldset{
            display: block;
          }
          .btns_send {
            display: block;
          }
          .btns_reply {
            opacity: 0;
          }
        }
    }

    > .message__card-title {
      padding: 40px 0 0 40px;
      position: relative;
      @include respond-to(tablet){
        height: 120px;
      }

      >img {
        width: 80px;
        height: 80px;
        border-radius: 50%;
        vertical-align: top;
        margin-right: 15px;
        display: block;

        @include respond-to(tablet){
          display: inline-block;
        }
      }
      >h2 {
        font-size: 24px;
        color: $text-light-blue;
        font-weight: 400;
        margin: 0;

        @include respond-to(tablet){
          display: inline-block;
          vertical-align: top;
          padding-top: 29px;
        }
      }
      >time {
        font-size: 18px;
        color: $avatar-remove;

        @include respond-to(tablet){
          position: absolute;
          top: 55px;
          right: 49px;
        }
      }
    }
    > .message__card-content {
      color: $text-light-blue;
      font-size: 18px;
      line-height: 30px;
      padding: 32px 39px 40px;
    }
    > .message__card-footer {
      padding: 0 40px;
      position: relative;

      fieldset{
        padding-bottom: 1px;
        display: none;

        textarea{
          width: 100%;
          height: 180px;
          padding: 14px 18px;
          border-radius: 3px;
          border: 1px solid $text-total;
          margin-bottom: 39px;
          color: $textarea;
          font-size: 18px;
        }
      }

      .btns_send {
        position: absolute;
        bottom: 0;
        left: 40px;
        display: none;
      }

      .message__more {

        background: url("../img/message__more.png") no-repeat 0 0;
        width: 24px;
        height: 6px;

        @include respond-to(tablet){
          position: absolute;
          bottom: -1px;
          right: 40px;
        }

        &:hover {
          background-position: 0 bottom;
        }
      }
    }
  }
  .btns {
    @include btns();

  }
}
@import "swiper.min.css";
.swiper-container {
  padding-bottom: 62px;

  .swiper-button-prev {
    background: url("../img/swiper-btns.png") no-repeat 0 top;
    width: 32px;
    height: 32px;
    bottom: 0;
    top: auto;
    right: 0;
    overflow: visible;
    color: $back-main;

    .message__btn-prev {
      display: none;
      position: absolute;
      top: -7px;
      left: 50px;
      @include respond-to(tablet){
        display: block;
      }
      >div{
        white-space: nowrap;
        font-size: 18px;
      }
      > span {
        white-space: nowrap;
        font-size: 14px;
        position: relative;
        top: -3px;
      }
    }
    &:hover {
      background-position: 0 bottom;
      color: $text-links-blue;
    }
  }
  .swiper-button-next {
    background: url("../img/swiper-btns.png") no-repeat right top;
    width: 32px;
    height: 32px;
    bottom: 0;
    top: auto;
    right: 0;
    overflow: visible;
    color: $back-main;

    .message__btn-next {
      display: none;
      position: absolute;
      top: -7px;
      right: 50px;
      @include respond-to(tablet){
        display: block;
      }
      >div{
        white-space: nowrap;
        font-size: 18px;
      }
      > span {
        white-space: nowrap;
        font-size: 14px;
        position: relative;
        top: -3px;
      }
    }
    &:hover {
      background-position: right bottom;
      color: $text-links-blue;
    }
  }
}